﻿using System;
using System.Collections;
using System.Text;
using System.Diagnostics;
using System.Threading;

using GHIElectronics.TinyCLR.Devices.Gpio;
using GHIElectronics.TinyCLR.Pins;

namespace Blink
{
    class Program
    {
        static void Main()
        {
            var led = GpioController.GetDefault().OpenPin(FEZ.GpioPin.Led1);
            led.SetDriveMode(GpioPinDriveMode.Output);

            while (true)
            {
                led.Write(GpioPinValue.High);
                Debug.WriteLine("Led1 éclairée");
                Thread.Sleep(100);
                led.Write(GpioPinValue.Low);
                Debug.WriteLine("Led1 éteinte");
                Thread.Sleep(100);
            }
        }
    }
}
